"use client";
import DataTable from "@/components/tables/DataTable";
import { TableData } from "@/variables/columnsData";
import { extractPagination } from "@/utils/common";
import { columnsDataAttendance } from "../variables/columns";
import Filters from "@/components/filters/Filters";
import { MultiSelectOption } from "@/components/fields/MultiSelect";
import { attendanceRequestList } from "@/app/lib/attendance/action";

interface CaseTableProps {
  data: { data: TableData[] };
  users: MultiSelectOption[];
  ibcs: MultiSelectOption[];
  roles: MultiSelectOption[];
}

const Table: React.FC<CaseTableProps> = ({ data, users, ibcs, roles }) => {
  const paginationData = extractPagination(data);
  return (
    <>
      <DataTable
        columnsData={columnsDataAttendance}
        tableData={data?.data as TableData[]}
        paginate={paginationData}
        isSelectable={false}
        showPageSize={false}
        showSearch={false}
        showActions={false}
        filterSlot={
          <Filters
            users={users}
            ibcs={ibcs}
            showSearch={false}
            showBatches={false}
            showRoles
            roles={roles}
            onExport={attendanceRequestList}
          />
        }
      />
    </>
  );
};

export default Table;
